unit uDebugMonitor;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, ACL.Controls, ACL.ListView, uPlaybackQueue;

type
  { TShuffleDebugMonitorForm }

  TShuffleDebugMonitorForm = class(TForm)
    lvView: TACLListView;
  public
    class procedure Update(AItems: TAIMPStorageEntryInfoList; ACursor: Integer);
  end;

implementation

{$R *.dfm}

var
  FForm: TShuffleDebugMonitorForm;

{ TShuffleDebugMonitorForm }

class procedure TShuffleDebugMonitorForm.Update(AItems: TAIMPStorageEntryInfoList; ACursor: Integer);
var
  AItem: TACLListViewItem;
  I: Integer;
begin
  if FForm = nil then
    FForm := TShuffleDebugMonitorForm.Create(nil);
  FForm.lvView.BeginUpdate;
  FForm.lvView.Clear;
  FForm.lvView.EnabledContent := False;
  for I := 0 to AItems.Count - 1 do
  begin
    AItem := FForm.lvView.Add;
    AItem.Add(AItems[I].FileName);
    AItem.Add(IntToStr(AItems[I].EntryIndex));
    AItem.Add(IntToStr(AItems[I].Rating));
  end;
  FForm.lvView.EndUpdate;
  FForm.lvView.ItemIndex := ACursor;
  FForm.Show;
end;

initialization

finalization
  FreeAndNil(FForm);
end.
